`timescale 1ps/1ps

module XS1_UnA_128_FB217(
  inout M18,
  inout L18,
  inout K18,
  inout J18,
  inout H18,
  inout U19,
  inout R19,
  inout V19,
  inout T19,
  inout L19,
  inout M19,
  inout J1,
  inout W19,
  inout W18,
  inout W17,
  inout V17,
  inout W16,
  inout V16,
  inout W15,
  inout V15,
  inout W14,
  inout V14,
  inout W13,
  inout V13,
  inout P19,
  inout G18,
  inout K19,
  inout F1,
  inout E1,
  inout A6,
  inout A7,
  inout A8,
  inout A9,
  inout A10,
  inout A11,
  inout A12,
  inout A13,
  inout A14,
  inout A15,
  inout D1,
  inout A16,
  inout A17,
  inout A18,
  inout A19,
  inout B18,
  inout B19,
  inout C18,
  inout C19,
  inout C1,
  inout D19,
  inout D18,
  inout E19,
  inout E18,
  inout F19,
  inout G19,
  inout H19,
  inout J19,
  inout B1,
  inout F2,
  inout A1,
  inout E2,
  inout D2,
  inout C2,
  inout B2,
  inout B3,
  inout B4,
  inout B5,
  inout B6,
  inout B7,
  inout A2,
  inout B8,
  inout B9,
  inout B10,
  inout B11,
  inout B12,
  inout B13,
  inout B14,
  inout B15,
  inout B16,
  inout A3,
  inout B17,
  inout A4,
  inout A5,
  inout U2,
  inout M7,
  inout N7,
  inout R1,
  inout R2,
  inout P1,
  inout P2,
  inout M1,
  inout M2,
  inout L1,
  inout L2,
  inout L6,
  inout J2,
  inout N19,
  inout N6,
  inout M6,
  inout G1,
  inout H1,
  inout H2,
  inout G2,
  inout U1,
  inout V1
);
wire TDI_TDO2_IC;
wire TDI_TDO_IC;
wire USB_CLK_IC;
wire USB_FLAG1_IC;
wire USB_FLAG2_IC;
wire USB_FLAG3_IC;
wire USB_RX_DATA0_IC;
wire USB_RX_DATA1_IC;
wire USB_RX_DATA2_IC;
wire USB_RX_DATA3_IC;
wire USB_RX_DATA4_IC;
wire USB_RX_DATA5_IC;
wire USB_RX_DATA6_IC;
wire USB_RX_DATA7_IC;
wire USB_RX_RI_IC;
wire USB_TX_DATA0_IC;
wire USB_TX_DATA1_IC;
wire USB_TX_DATA2_IC;
wire USB_TX_DATA3_IC;
wire USB_TX_DATA4_IC;
wire USB_TX_DATA5_IC;
wire USB_TX_DATA6_IC;
wire USB_TX_DATA7_IC;
wire USB_TX_RI_IC;
wire USB_TX_RO_IC;
wire XLINK0_A0_IC;
wire XLINK0_A1_IC;
wire XLINK0_A2_IC;
wire XLINK0_A3_IC;
wire XLINK0_A4_IC;
wire XLINK0_B0_IC;
wire XLINK0_B1_IC;
wire XLINK0_B2_IC;
wire XLINK0_B3_IC;
wire XLINK0_B4_IC;
wire XLINK1_A0_IC;
wire XLINK1_A1_IC;
wire XLINK1_A2_IC;
wire XLINK1_A3_IC;
wire XLINK1_A4_IC;
wire XLINK1_B0_IC;
wire XLINK1_B1_IC;
wire XLINK1_B2_IC;
wire XLINK1_B3_IC;
wire XLINK1_B4_IC;
wire XLINK2_A0_IC;
wire XLINK2_A1_IC;
wire XLINK2_A2_IC;
wire XLINK2_A3_IC;
wire XLINK2_A4_IC;
wire XLINK2_B0_IC;
wire XLINK2_B1_IC;
wire XLINK2_B2_IC;
wire XLINK2_B3_IC;
wire XLINK2_B4_IC;
wire XLINK3_A0_IC;
wire XLINK3_A1_IC;
wire XLINK3_A2_IC;
wire XLINK3_A3_IC;
wire XLINK3_A4_IC;
wire XLINK3_B0_IC;
wire XLINK3_B1_IC;
wire XLINK3_B2_IC;
wire XLINK3_B3_IC;
wire XLINK3_B4_IC;
wire X_LA0IN_IC;
wire X_LA0OUT_IC;
wire X_LA1IN_IC;
wire X_LA1OUT_IC;
wire X_LA2IN_IC;
wire X_LA2OUT_IC;
wire X_LA3IN_IC;
wire X_LA3OUT_IC;
wire X_LA4IN_IC;
wire X_LA4OUT_IC;
wire X_PROC_CLK_IC;
wire X_PROC_RST_N_IC;
wire USB_R_REF_EXT_IC;

XS1_010_CHIP_TOP_PADS inst_name0
(
  .global_debug_Pad (M18),
  .mode0_Pad (L18),
  .mode1_Pad (K18),
  .mode2_Pad (J18),
  .mode3_Pad (H18),
  .xcore0_io_Data50_Pad (U19),
  .xcore0_io_Data40_Pad (R19),
  .xcore0_io_Data51_Pad (V19),
  .xcore0_io_Data41_Pad (T19),
  .tck_Pad (L19),
  .tdo_Pad (TDI_TDO2_IC),
  .tdi_Pad (TDI_TDO_IC),
  .tms_Pad (M19),
  .xcore0_io_Data21_Pad (USB_CLK_IC),
  .xcore0_io_Data33_Pad (USB_FLAG1_IC),
  .xcore0_io_Data34_Pad (USB_FLAG2_IC),
  .xcore0_io_Data35_Pad (USB_FLAG3_IC),
  .xcore0_io_Data22_Pad (USB_RX_DATA0_IC),
  .xcore0_io_Data23_Pad (USB_RX_DATA1_IC),
  .xcore0_io_Data24_Pad (USB_RX_DATA2_IC),
  .xcore0_io_Data25_Pad (USB_RX_DATA3_IC),
  .xcore0_io_Data26_Pad (USB_RX_DATA4_IC),
  .xcore0_io_Data27_Pad (USB_RX_DATA5_IC),
  .xcore0_io_Data28_Pad (USB_RX_DATA6_IC),
  .xcore0_io_Data29_Pad (USB_RX_DATA7_IC),
  .xcore0_io_Data32_Pad (USB_RX_RI_IC),
  .xcore0_io_Data42_Pad (USB_TX_DATA0_IC),
  .xcore0_io_Data43_Pad (USB_TX_DATA1_IC),
  .xcore0_io_Data44_Pad (USB_TX_DATA2_IC),
  .xcore0_io_Data45_Pad (USB_TX_DATA3_IC),
  .xcore0_io_Data46_Pad (USB_TX_DATA4_IC),
  .xcore0_io_Data47_Pad (USB_TX_DATA5_IC),
  .xcore0_io_Data48_Pad (USB_TX_DATA6_IC),
  .xcore0_io_Data49_Pad (USB_TX_DATA7_IC),
  .xcore0_io_Data63_Pad (USB_TX_RI_IC),
  .xcore0_io_Data30_Pad (USB_TX_RO_IC),
  .xcore0_io_Data39_Pad (J1),
  .xcore0_io_Data52_Pad (W19),
  .xcore0_io_Data53_Pad (W18),
  .xcore0_io_Data54_Pad (W17),
  .xcore0_io_Data55_Pad (V17),
  .xcore0_io_Data56_Pad (W16),
  .xcore0_io_Data57_Pad (V16),
  .xcore0_io_Data58_Pad (W15),
  .xcore0_io_Data59_Pad (V15),
  .xcore0_io_Data60_Pad (W14),
  .xcore0_io_Data61_Pad (V14),
  .xcore0_io_Data62_Pad (W13),
  .xcore0_io_Data20_Pad (V13),
  .xcore0_io_Data31_Pad (P19),
  .xlink4_tx0_Pad (XLINK0_A0_IC),
  .xlink4_tx1_Pad (XLINK0_A1_IC),
  .xlink4_tx2_Pad (XLINK0_A2_IC),
  .xlink4_tx3_Pad (XLINK0_A3_IC),
  .xlink4_tx4_Pad (XLINK0_A4_IC),
  .xlink4_rx0_Pad (XLINK0_B0_IC),
  .xlink4_rx1_Pad (XLINK0_B1_IC),
  .xlink4_rx2_Pad (XLINK0_B2_IC),
  .xlink4_rx3_Pad (XLINK0_B3_IC),
  .xlink4_rx4_Pad (XLINK0_B4_IC),
  .xlink6_tx0_Pad (XLINK1_A0_IC),
  .xlink6_tx1_Pad (XLINK1_A1_IC),
  .xlink6_tx2_Pad (XLINK1_A2_IC),
  .xlink6_tx3_Pad (XLINK1_A3_IC),
  .xlink6_tx4_Pad (XLINK1_A4_IC),
  .xlink6_rx0_Pad (XLINK1_B0_IC),
  .xlink6_rx1_Pad (XLINK1_B1_IC),
  .xlink6_rx2_Pad (XLINK1_B2_IC),
  .xlink6_rx3_Pad (XLINK1_B3_IC),
  .xlink6_rx4_Pad (XLINK1_B4_IC),
  .xlink7_tx0_Pad (XLINK2_A0_IC),
  .xlink7_tx1_Pad (XLINK2_A1_IC),
  .xlink7_tx2_Pad (XLINK2_A2_IC),
  .xlink7_tx3_Pad (XLINK2_A3_IC),
  .xlink7_tx4_Pad (XLINK2_A4_IC),
  .xlink7_rx0_Pad (XLINK2_B0_IC),
  .xlink7_rx1_Pad (XLINK2_B1_IC),
  .xlink7_rx2_Pad (XLINK2_B2_IC),
  .xlink7_rx3_Pad (XLINK2_B3_IC),
  .xlink7_rx4_Pad (XLINK2_B4_IC),
  .xlink5_tx0_Pad (XLINK3_A0_IC),
  .xlink5_tx1_Pad (XLINK3_A1_IC),
  .xlink5_tx2_Pad (XLINK3_A2_IC),
  .xlink5_tx3_Pad (XLINK3_A3_IC),
  .xlink5_tx4_Pad (XLINK3_A4_IC),
  .xlink5_rx0_Pad (XLINK3_B0_IC),
  .xlink5_rx1_Pad (XLINK3_B1_IC),
  .xlink5_rx2_Pad (XLINK3_B2_IC),
  .xlink5_rx3_Pad (XLINK3_B3_IC),
  .xlink5_rx4_Pad (XLINK3_B4_IC),
  .xcore0_io_Data4_Pad (X_LA0IN_IC),
  .xcore0_io_Data5_Pad (X_LA0OUT_IC),
  .xcore0_io_Data3_Pad (X_LA1IN_IC),
  .xcore0_io_Data6_Pad (X_LA1OUT_IC),
  .xcore0_io_Data2_Pad (X_LA2IN_IC),
  .xcore0_io_Data7_Pad (X_LA2OUT_IC),
  .xcore0_io_Data1_Pad (X_LA3IN_IC),
  .xcore0_io_Data8_Pad (X_LA3OUT_IC),
  .xcore0_io_Data0_Pad (X_LA4IN_IC),
  .xcore0_io_Data9_Pad (X_LA4OUT_IC),
  .pll_clkin_Pad (X_PROC_CLK_IC),
  .ext_async_rst_n_Pad (X_PROC_RST_N_IC),
  .trst_Pad (X_PROC_RST_N_IC)
);

XS1_010_CHIP_TOP_PADS inst_name1
(
  .global_debug_Pad (M18),
  .mode0_Pad (L18),
  .mode1_Pad (K18),
  .mode2_Pad (J18),
  .mode3_Pad (H18),
  .mode4_Pad (G18),
  .tck_Pad (L19),
  .tdi_Pad (TDI_TDO2_IC),
  .tdo_Pad (K19),
  .tms_Pad (M19),
  .xcore0_io_Data40_Pad (F1),
  .xcore0_io_Data41_Pad (E1),
  .xcore0_io_Data50_Pad (A6),
  .xcore0_io_Data51_Pad (A7),
  .xcore0_io_Data52_Pad (A8),
  .xcore0_io_Data53_Pad (A9),
  .xcore0_io_Data54_Pad (A10),
  .xcore0_io_Data55_Pad (A11),
  .xcore0_io_Data56_Pad (A12),
  .xcore0_io_Data57_Pad (A13),
  .xcore0_io_Data58_Pad (A14),
  .xcore0_io_Data59_Pad (A15),
  .xcore0_io_Data42_Pad (D1),
  .xcore0_io_Data60_Pad (A16),
  .xcore0_io_Data61_Pad (A17),
  .xcore0_io_Data62_Pad (A18),
  .xcore0_io_Data63_Pad (A19),
  .xcore0_io_Data20_Pad (B18),
  .xcore0_io_Data21_Pad (B19),
  .xcore0_io_Data22_Pad (C18),
  .xcore0_io_Data23_Pad (C19),
  .xcore0_io_Data43_Pad (C1),
  .xcore0_io_Data28_Pad (D19),
  .xcore0_io_Data29_Pad (D18),
  .xcore0_io_Data30_Pad (E19),
  .xcore0_io_Data31_Pad (E18),
  .xcore0_io_Data32_Pad (F19),
  .xcore0_io_Data33_Pad (G19),
  .xcore0_io_Data34_Pad (H19),
  .xcore0_io_Data35_Pad (J19),
  .xcore0_io_Data44_Pad (B1),
  .xcore0_io_Data0_Pad (F2),
  .xcore0_io_Data45_Pad (A1),
  .xcore0_io_Data1_Pad (E2),
  .xcore0_io_Data2_Pad (D2),
  .xcore0_io_Data3_Pad (C2),
  .xcore0_io_Data4_Pad (B2),
  .xcore0_io_Data5_Pad (B3),
  .xcore0_io_Data6_Pad (B4),
  .xcore0_io_Data7_Pad (B5),
  .xcore0_io_Data8_Pad (B6),
  .xcore0_io_Data9_Pad (B7),
  .xcore0_io_Data46_Pad (A2),
  .xcore0_io_Data10_Pad (B8),
  .xcore0_io_Data11_Pad (B9),
  .xcore0_io_Data12_Pad (B10),
  .xcore0_io_Data13_Pad (B11),
  .xcore0_io_Data14_Pad (B12),
  .xcore0_io_Data15_Pad (B13),
  .xcore0_io_Data16_Pad (B14),
  .xcore0_io_Data17_Pad (B15),
  .xcore0_io_Data18_Pad (B16),
  .xcore0_io_Data47_Pad (A3),
  .xcore0_io_Data19_Pad (B17),
  .xcore0_io_Data48_Pad (A4),
  .xcore0_io_Data49_Pad (A5),
  .xlink7_rx0_Pad (XLINK0_A0_IC),
  .xlink7_rx1_Pad (XLINK0_A1_IC),
  .xlink7_rx2_Pad (XLINK0_A2_IC),
  .xlink7_rx3_Pad (XLINK0_A3_IC),
  .xlink7_rx4_Pad (XLINK0_A4_IC),
  .xlink7_tx0_Pad (XLINK0_B0_IC),
  .xlink7_tx1_Pad (XLINK0_B1_IC),
  .xlink7_tx2_Pad (XLINK0_B2_IC),
  .xlink7_tx3_Pad (XLINK0_B3_IC),
  .xlink7_tx4_Pad (XLINK0_B4_IC),
  .xlink5_rx0_Pad (XLINK1_A0_IC),
  .xlink5_rx1_Pad (XLINK1_A1_IC),
  .xlink5_rx2_Pad (XLINK1_A2_IC),
  .xlink5_rx3_Pad (XLINK1_A3_IC),
  .xlink5_rx4_Pad (XLINK1_A4_IC),
  .xlink5_tx0_Pad (XLINK1_B0_IC),
  .xlink5_tx1_Pad (XLINK1_B1_IC),
  .xlink5_tx2_Pad (XLINK1_B2_IC),
  .xlink5_tx3_Pad (XLINK1_B3_IC),
  .xlink5_tx4_Pad (XLINK1_B4_IC),
  .xlink4_rx0_Pad (XLINK2_A0_IC),
  .xlink4_rx1_Pad (XLINK2_A1_IC),
  .xlink4_rx2_Pad (XLINK2_A2_IC),
  .xlink4_rx3_Pad (XLINK2_A3_IC),
  .xlink4_rx4_Pad (XLINK2_A4_IC),
  .xlink4_tx0_Pad (XLINK2_B0_IC),
  .xlink4_tx1_Pad (XLINK2_B1_IC),
  .xlink4_tx2_Pad (XLINK2_B2_IC),
  .xlink4_tx3_Pad (XLINK2_B3_IC),
  .xlink4_tx4_Pad (XLINK2_B4_IC),
  .xlink6_rx0_Pad (XLINK3_A0_IC),
  .xlink6_rx1_Pad (XLINK3_A1_IC),
  .xlink6_rx2_Pad (XLINK3_A2_IC),
  .xlink6_rx3_Pad (XLINK3_A3_IC),
  .xlink6_rx4_Pad (XLINK3_A4_IC),
  .xlink6_tx0_Pad (XLINK3_B0_IC),
  .xlink6_tx1_Pad (XLINK3_B1_IC),
  .xlink6_tx2_Pad (XLINK3_B2_IC),
  .xlink6_tx3_Pad (XLINK3_B3_IC),
  .xlink6_tx4_Pad (XLINK3_B4_IC),
  .pll_clkin_Pad (X_PROC_CLK_IC),
  .ext_async_rst_n_Pad (X_PROC_RST_N_IC),
  .trst_Pad (X_PROC_RST_N_IC)
);

XA1_CHIP_TOP inst_name2
(
  .cctest_ana_pmu_pad (U2),
  .cctest_stat1_soc_pad (M7),
  .cctest_stat2_soc_pad (N7),
  .adc_in0_pad (R1),
  .adc_in1_pad (R2),
  .adc_in2_pad (P1),
  .adc_in3_pad (P2),
  .adc_in4_pad (M1),
  .adc_in5_pad (M2),
  .adc_in6_pad (L1),
  .adc_in7_pad (L2),
  .mode_boot_pad (L6),
  .rst_n_pad (J2),
  .tck_pad (L19),
  .tdi_pad (N19),
  .tdo_pad (TDI_TDO_IC),
  .test_en_pad (N6),
  .test_en_pmu_pad (M6),
  .tms_pad (M19),
  .x_usb_ref_clk_pad (USB_CLK_IC),
  .usb_dm_pad (G1),
  .usb_dp_pad (H1),
  .x_usb_flag1_pad (USB_FLAG1_IC),
  .x_usb_flag2_pad (USB_FLAG2_IC),
  .x_usb_flag3_pad (USB_FLAG3_IC),
  .usb_id_pad (H2),
  .x_usb_rx_data0_pad (USB_RX_DATA0_IC),
  .x_usb_rx_data1_pad (USB_RX_DATA1_IC),
  .x_usb_rx_data2_pad (USB_RX_DATA2_IC),
  .x_usb_rx_data3_pad (USB_RX_DATA3_IC),
  .x_usb_rx_data4_pad (USB_RX_DATA4_IC),
  .x_usb_rx_data5_pad (USB_RX_DATA5_IC),
  .x_usb_rx_data6_pad (USB_RX_DATA6_IC),
  .x_usb_rx_data7_pad (USB_RX_DATA7_IC),
  .x_usb_rx_ri_pad (USB_RX_RI_IC),
  .usb_r_ref_ext_pad (USB_R_REF_EXT_IC),
  .x_usb_tx_data0_pad (USB_TX_DATA0_IC),
  .x_usb_tx_data1_pad (USB_TX_DATA1_IC),
  .x_usb_tx_data2_pad (USB_TX_DATA2_IC),
  .x_usb_tx_data3_pad (USB_TX_DATA3_IC),
  .x_usb_tx_data4_pad (USB_TX_DATA4_IC),
  .x_usb_tx_data5_pad (USB_TX_DATA5_IC),
  .x_usb_tx_data6_pad (USB_TX_DATA6_IC),
  .x_usb_tx_data7_pad (USB_TX_DATA7_IC),
  .x_usb_tx_ri_pad (USB_TX_RI_IC),
  .x_usb_tx_ro_pad (USB_TX_RO_IC),
  .usb_vbus_pad (G2),
  .wake_pad (J1),
  .x_adc_sample_pad (V13),
  .xtal_xin_pad (U1),
  .xtal_xout_pad (V1),
  .x_la0in_pad (X_LA0IN_IC),
  .x_la0out_pad (X_LA0OUT_IC),
  .x_la1in_pad (X_LA1IN_IC),
  .x_la1out_pad (X_LA1OUT_IC),
  .x_la2in_pad (X_LA2IN_IC),
  .x_la2out_pad (X_LA2OUT_IC),
  .x_la3in_pad (X_LA3IN_IC),
  .x_la3out_pad (X_LA3OUT_IC),
  .x_la4in_pad (X_LA4IN_IC),
  .x_la4out_pad (X_LA4OUT_IC),
  .x_proc_clk_pad (X_PROC_CLK_IC),
  .x_proc_rst_n_pad (X_PROC_RST_N_IC)
);

endmodule

